﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangeEditSettings.aspx.cs"
    Inherits="CSSamples.Samples.Features.ChangeEditSettings" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Change EditSettings</title>

    <script>
        var OnMapCreated = function(map) {

            var modifyControl = Map1.GetMapParser().paintControls["Modify"];
            var layer = Map1.GetMapParser().editOverlay;
            if (layer != null) {
                layer.styleMap = new OpenLayers.StyleMap(
                {
                    'select': {
                        fillColor: "red",
                        fillOpacity: 0.4,
                        hoverFillColor: "white",
                        hoverFillOpacity: 0.8,
                        strokeColor: "blue",
                        strokeOpacity: 1,
                        strokeWidth: 2,
                        strokeLinecap: "round",
                        strokeDashstyle: "solid",
                        hoverStrokeColor: "red",
                        hoverStrokeOpacity: 1,
                        hoverStrokeWidth: 0.2,
                        pointRadius: 6,
                        hoverPointRadius: 1,
                        hoverPointUnit: "%",
                        pointerEvents: "visiblePainted",
                        cursor: "pointer"
                    }
                });

                layer.events.register("afterfeaturemodified", this, function(args) {
                    if (args.feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                        var layer = args.object;
                        for (var i in layer.features) {
                            var feature = layer.features[i];
                            if (feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                                layer.drawFeature(feature, "default");
                            }
                        }
                    }
                });
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                Check the check boxes below and click the shape to see how they affect the shape
                editing.
                <br />
                <br />
                Edit Settings:<br />
                <table border="0">
                    <tr>
                        <td style="width: 100px;">
                            <asp:CheckBox ID="CheckBoxRotate" AutoPostBack="true" runat="server" OnCheckedChanged="CheckBoxChanged"
                                Text="Rotatable" />
                        </td>
                        <td>
                            <asp:CheckBox ID="CheckBoxResize" AutoPostBack="true" runat="server" OnCheckedChanged="CheckBoxChanged"
                                Text="Resizable" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:CheckBox ID="CheckBoxReshape" AutoPostBack="true" runat="server" OnCheckedChanged="CheckBoxChanged"
                                Text="Reshapable" />
                        </td>
                        <td>
                            <asp:CheckBox ID="CheckBoxDrag" AutoPostBack="true" runat="server" OnCheckedChanged="CheckBoxChanged"
                                Text="Draggable" />
                        </td>
                    </tr>
                </table>
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
