using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples.Features
{
    public partial class ChangeEditSettings : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-62, 81, 114, -32);
                Map1.CurrentExtent = new RectangleShape(-51, 121, 149, -13);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitWmsWebOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitWmsWebOverlay);
                Feature feature = new Feature(BaseShape.CreateShapeFromWellKnownData("MULTIPOINT(12 20, 30 20,40 20, 12 30, 30 30, 40 30)"));
                Feature feature1 = new Feature(new RectangleShape(65, 30, 90, 15));
                MultipointShape pointsShape = (MultipointShape)feature.GetShape();
                Map1.EditOverlay.Features.Add(feature1);
                Map1.EditOverlay.Features.Add(feature);
                //You could set the defalut color (the center point color) using like this
                Map1.EditOverlay.Style.FillColor = GeoColor.SimpleColors.BrightYellow;
                Map1.EditOverlay.Style.OutlineColor = GeoColor.SimpleColors.Blue;
                Map1.EditOverlay.Style.OutlineWidth = 2;
            }
        }

        protected void CheckBoxChanged(object sender, EventArgs args)
        {
            Map1.EditOverlay.TrackMode = TrackMode.Edit;
            Map1.EditOverlay.EditSettings.IsDraggable = CheckBoxDrag.Checked;
            Map1.EditOverlay.EditSettings.IsReshapable = CheckBoxReshape.Checked;
            // Don't collect vertices when we're resizing, that's mean you could delete point when enable resize.
            Map1.EditOverlay.EditSettings.IsResizable = CheckBoxResize.Checked;
            Map1.EditOverlay.EditSettings.IsRotatable = CheckBoxRotate.Checked;
        }
    }
}
